/*
                            ManEdit Configuration

	See me_cfg_list.h for the CfgList.
 */

#ifndef CONFIG_H
#define CONFIG_H

#ifndef PREFIX
# define PREFIX	"/usr"
#endif


/*
 *      Languages (define only one):
 */
#define PROG_LANGUAGE_ENGLISH		1
/* #define PROG_LANGUAGE_SPANISH	2 */
/* #define PROG_LANGUAGE_FRENCH		3 */
/* incomplete #define PROG_LANGUAGE_GERMAN      4 */
/* incomplete #define PROG_LANGUAGE_ITALIAN     5 */
/* incomplete #define PROG_LANGUAGE_NORWEGIAN   6 */
/* incomplete #define PROG_LANGUAGE_PORTUGUESE  7 */


/*
 *	Program Name & Version:
 */
#define PROG_NAME			"ManEdit"
#define PROG_NAME_FULL			"ManEdit"
#define PROG_VERSION			"1.2.1"

#define PROG_VERSION_MAJOR		1
#define PROG_VERSION_MINOR		2
#define PROG_VERSION_RELEASE		1

/*
 *	Program Copyright:
 */
#define PROG_COPYRIGHT	"\
Copyright (C) 2000-2008 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosecuted\n\
to the fullest extent of the law."

/*
 *	Program usage message:
 */
#define PROG_USAGE_MESG	"\
Usage: manedit [section] [manual_page] [options] [GUI_options]\n\
\n\
    The [section] specifies the section number from 1 to 8 (used\n\
    only with the --viewer option).\n\
\n\
    The [manual_page] specifies the path to the manual page file to\n\
    open at startup or the name of the manual page when using the\n\
    --viewer option.\n\
\n\
    The [options] can be any of the following:\n\
\n\
        --config <file>         Load configuration from <file>.\n\
        --rcfile                Same as --config.\n\
        -f                      Same as --config.\n\
        --viewer                Start up with a viewer instead of an\n\
                                editor.\n\
        --help                  Prints (this) help screen and exits.\n\
        --version               Prints version information and exits.\n\
\n\
    Most customizations can be performed in the options menu.\n\
\n\
    Command line options override any options in the configuration file.\n\
\n\
    [GUI_options] can be any options standard to your GUI, consult your\n\
    GUI's manual for available options.\n\
\n"


/*
 *	Editor Default Size:
 */
#define ME_EDITOR_DEF_WIDTH		800
#define ME_EDITOR_DEF_HEIGHT		600
#define ME_EDITOR_DEF_PANED_POSITION	200

#define ME_EDITOR_FIP_DEF_WIDTH		640
#define ME_EDITOR_FIP_DEF_HEIGHT	480

#define ME_STATUS_BAR_HEIGHT		26


/*
 *	Viewer Default Size:
 */
#define ME_VIEWER_DEF_WIDTH		640
#define ME_VIEWER_DEF_HEIGHT		512

/*
 *	Options Window Default Size:
 */
#define ME_OPTIONS_WIN_DEF_WIDTH	640
#define ME_OPTIONS_WIN_DEF_HEIGHT	480

/*
 *	Default paned widget size in pixels:
 */
#define ME_DEF_PANED_GUTTER_SIZE	12
#define ME_DEF_PANED_HANDLE_SIZE	10

/*
 *	Spacing between list item icons and text in pixels:
 */
#define ME_LIST_ICON_TEXT_SPACING	2


/*
 *	Clist and ctree row spacing (in pixels):
 */
#define ME_LIST_ROW_SPACING		20


/*
 *	Viewer window title:
 */
#define ME_VIEWER_DEF_TITLE		"ManView"

/*
 *	Preferences & Options window title:
 */
#define MEDIT_PREF_TITLE		"Options"


/*
 *	Syntax highlighting enabled by default (TRUE or FALSE)?
 */
#define MEDIT_DEF_SYNTAX_HIGHLIGHTING	FALSE

/*
 *	ManEdit local configuration file:
 *
 *	User's home directory will be prepended.
 */
#define MEDIT_RCFILE_LOCAL	".maneditrc"


/*
 *	ManEdit global directory:
 */
#define ME_PATH_GLOBAL_DATA	(PREFIX "/share/manedit")

/*
 *	Manual page help sub directory (ME_PATH_GLOBAL_DATA will
 *      be prepended at run time):
 */
#define ME_PATH_HELP		"help"

/*
 *	Manual page templates sub directory (ME_PATH_GLOBAL_DATA will
 *	be prepended at run time):
 */
#define ME_PATH_TEMPLATES	"templates"


/*
 *	Help files, located in ME_PATH_GLOBAL_DATA/ME_PATH_HELP:
 */
#define MEDIT_MANPAGE_WRITING_FILE		"manpage_writing_procedures"
#define MEDIT_MANPAGE_XML_REFERENCE_FILE	"manpage_xml_reference"


/*
 *	Environment Variable Names:
 */
#define ENV_VAR_NAME_BROWSER			"BROWSER"
#define ENV_VAR_NAME_DISPLAY			"DISPLAY"
#define ENV_VAR_NAME_HELPBROWSER		"HELPBROWSER"
#define ENV_VAR_NAME_HOME			"HOME"
#define ENV_VAR_NAME_PATH			"PATH"
#define ENV_VAR_NAME_PRINT			"PRINT"
#define ENV_VAR_NAME_PRINTCMD			"PRINTCMD"
#define ENV_VAR_NAME_PRINTCOMMAND		"PRINTCOMMAND"
#define ENV_VAR_NAME_PRINTER			"PRINTER"
#define ENV_VAR_NAME_SHELL			"SHELL"
#define ENV_VAR_NAME_TMPDIR			"TMPDIR"
#define ENV_VAR_NAME_USER			"USER"
#define ENV_VAR_NAME_USERNAME			"USERNAME"

/*
 *	Font Names:
 */
#define MEDIT_FONT_NAME_HEADING3_REV	\
        "-adobe-helvetica-medium-r-normal-*-18-*-*-*-p-*-iso8859-1"

#define ME_DEF_EDITABLE_NORMAL_FONT_NAME		\
	"-adobe-courier-medium-r-normal-*-12-*-*-*-m-*-iso8859-1"

#define ME_DEF_MANPAGE_NORMAL_FONT_NAME		\
        "-adobe-courier-medium-r-normal-*-14-*-*-*-m-*-iso8859-1"
#define ME_DEF_MANPAGE_BOLD_FONT_NAME		\
	"-adobe-courier-bold-r-normal-*-14-*-*-*-m-*-iso8859-1"
#define ME_DEF_MANPAGE_UNDERLINE_FONT_NAME	\
        "-adobe-courier-medium-o-normal-*-14-*-*-*-m-*-iso8859-1"


/*
 *	Color strings:
 */
#define MEDIT_CSTR_EDIT_TEXT_FG		"black"
#define MEDIT_CSTR_EDIT_TEXT_BG		"white"
#define MEDIT_CSTR_EDIT_TEXT_DELIM_FG	"#a000a0"
#define MEDIT_CSTR_EDIT_TEXT_TAG_FG	"#0040a0"
#define MEDIT_CSTR_EDIT_TEXT_SYMREP_FG	"#a04000"

#define MEDIT_CSTR_MANPAGE_TEXT_FG		"black"
#define MEDIT_CSTR_MANPAGE_TEXT_BG		"#ffffc0"
#define MEDIT_CSTR_MANPAGE_TEXT_BOLD_FG		"black"
#define MEDIT_CSTR_MANPAGE_TEXT_UNDERLINE_FG	"black"


/*
 *      Drag and drop target type names and info values:
 */
#define MEDIT_DND_TYPE_INFO_TEXT_PLAIN		0	/* "text/plain" */
#define MEDIT_DND_TYPE_INFO_TEXT_URI_LIST	1	/* "text/uri-list" */
#define MEDIT_DND_TYPE_INFO_STRING		2	/* "STRING" */

#define MEDIT_DND_TYPE_INFO_EDITOR_BRANCH_CMD	3
#define MEDIT_DND_TARGET_EDITOR_BRANCH	"manedit/editor/branch"


/*
 *	Convert manual page to printable output command:
 *
 *	%f = filename
 *	%p = optional parameters
 */
#if !defined(__FreeBSD__)
#define ME_CMD_MANPAGE_INTERPRETER	(PREFIX "/bin/man %p %f")
#else
#define ME_CMD_MANPAGE_INTERPRETER	(PREFIX "/bin/manwrap %p %f")
#endif	/* !__FreeBSD__ */

/*
 *	List of names for sections by number:
 */
#define ME_MANPAGE_SECTION_NAME_ANY	"*Any*"		/* Any section */
#define ME_MANPAGE_SECTION_NAME_EXACT	"*Exact*"	/* Full path to manpage file */

#define ME_MANPAGE_SECTION_NAME_1	"1 - User Commands"
#define ME_MANPAGE_SECTION_NAME_2	"2 - System Calls"
#define ME_MANPAGE_SECTION_NAME_3	"3 - Library Functions"
#define ME_MANPAGE_SECTION_NAME_4	"4 - Special Files"
#define ME_MANPAGE_SECTION_NAME_5	"5 - File Formats"
#define ME_MANPAGE_SECTION_NAME_6	"6 - Games"
#define ME_MANPAGE_SECTION_NAME_7	"7 - Miscellaneous"
#define ME_MANPAGE_SECTION_NAME_8	"8 - Administration"
#define ME_MANPAGE_SECTION_NAME_9	"9 - Operating System"


#endif	/* CONFIG_H */
